cURL
curl --request GET \
--url https://api.creatify.ai/api/text_to_speech/{id}/ \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.creatify.ai/api/text_to_speech/{id}/"
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};
fetch('https://api.creatify.ai/api/text_to_speech/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"script": "<string>",
"output": "<string>",
"media_job": "<string>",
"credits_used": 123,
"duration": 123,
"is_hidden": true,
"status": "<string>",
"failed_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"accent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_url": "<string>"
}API Reference
Get Text to Speech item by id
GET
/
api
/
text_to_speech
/
{id}
/
cURL
Authorizations
API ID, from your settings page.
API Key, from your settings page.
Path Parameters
A UUID string identifying this Text To Speech Flow.
Response
200 - application/json
Text to be converted to speech
Maximum string length:
8000Output audio url
Credits used in this API call
Duration of the video in seconds
Whether the job is hidden or not
Failed reason
Accent to be used for the speech
Webhook URL for status updates. Default is null.
Maximum string length:
200
